%define upstream_name    Cache-Simple-TimedExpiry
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to add expiry to Cache::Simple object
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}-%{release}

%description
Perl module to add expiry to Cache::Simple object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/%{perl_vendorarch}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/Cache
%{_mandir}/man3/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.270.0-3.mga4
+ Revision: 509578
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.270.0-2.mga3
+ Revision: 363746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 22037
- cleaning spec file
- imported package perl-Cache-Simple-TimedExpiry


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.0
+ Revision: 405956
- rebuild using %%perl_convert_version

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 0.27-2mdv2009.0
+ Revision: 218996
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.27-1mdv2008.0
+ Revision: 19251
-New version


* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 0.26-2mdv2007.0
+ Revision: 74867
- Rebuild for new extension
- Import perl-Cache-Simple-TimedExpiry

